/*
  Jump
  Handle jump, call and return opcodes
  JBS 15 June 1994
*/

#ifndef _JUMP_

#define _JUMP_

#include "types.h"

void gosub2(word);
void gosub4(void);
void gosub5(word);
void jump(word);

void ret_true(void);
void ret_false(void);
void ret_value(word);

void adv_pop_stack(void);

void rts(void);

void active_gosub(void);
void active_return(word);

word special_gosub(word);
void throw_away_stack_frame(word, word);

void num_local_params(word);

#endif
